PartialHashtree (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.tsp

## Class PartialHashtree

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.tsp.PartialHashtree

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PartialHashtree
      extends ASN1Object

  Implementation of PartialHashtree, as defined in RFC 4998.

  The ASN.1 notation for a PartialHashTree is:

  PartialHashtree ::= SEQUENCE OF OCTET STRING

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialHashtree(byte[] values)`
    `PartialHashtree(byte[][] values)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsHash(byte[] hash)`
    `static PartialHashtree` | `getInstance(java.lang.Object obj)` Return a PartialHashtree from the given object.
    `int` | `getValueCount()`
    `byte[][]` | `getValues()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialHashtree

          public PartialHashtree(byte[] values)

    - #### PartialHashtree

          public PartialHashtree(byte[][] values)

  - ### Method Detail

    - #### getInstance

          public static PartialHashtree getInstance(java.lang.Object obj)

      Return a PartialHashtree from the given object.
      Parameters:
        `obj` - the object we want converted.
      Returns:
        a PartialHashtree instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getValueCount

          public int getValueCount()

    - #### getValues

          public byte[][] getValues()

    - #### containsHash

          public boolean containsHash(byte[] hash)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.